<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\widgets\PlacePicker;

/* @var $this yii\web\View */
/* @var $model common\models\Business */
/* @var $form yii\widgets\ActiveForm */
/* @var $categories array */
/* @var $districts array */
?>

<div class="row">


</div>

<div class="business-form">

    <?php $form = ActiveForm::begin(); ?>

    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'category_id')->dropDownList($categories, ['prompt' => ' ']) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'district_id')->dropDownList($districts, ['prompt' => ' ']) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'domain_name')->textInput(['maxlength' => true]) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'slug')
                ->hint(Yii::t('backend',
                    'If you\'ll leave this field empty, slug will be generated automatically'))
                ->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-6">

            <?= $form->field($model, 'address')->textarea(['rows' => 6]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'landmark')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'mobile_no')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'toll_free_no')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'contact_no')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'fax')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'logo_base_url')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'logo_path')->textInput(['maxlength' => true]) ?>

        </div>
    </div>

    <div class="row">
        <div class="col-md-8">

            <?= PlacePicker::widget(['model' => $model, 'name' => 'map', 'lat' => 'latitude', 'lon' => 'longitude']) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <?= $form->field($model, 'latitude')->textInput(['maxlength' => true, 'id' => 'latitude']) ?>
        </div>
        <div class="col-md-4">
            <?= $form->field($model, 'longitude')->textInput(['maxlength' => true, 'id' => 'longitude']) ?>
        </div>
    </div>

    <div class="row">
        <div class="col-md-4">
            <?= $form->field($model, 'status')->dropDownList($model::statuses()) ?>
        </div>
    </div>
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('backend', 'Create') : Yii::t('backend',
            'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    <script>
        //    $(function () {
        //        createmap();
        //        function createmap() {
        //            var lat = $('#latitude').val(),
        //                lng = $('#longitude').val(),
        //                latlng = new google.maps.LatLng(lat, lng),
        //                image = 'http://www.google.com/intl/en_us/mapfiles/ms/micons/blue-dot.png';
        //            if (!lat && !lng) {
        //                lat = 10.5113798;
        //                lng = 76.1532094;
        //            }
        //            //zoomControl: true,
        //            //zoomControlOptions: google.maps.ZoomControlStyle.LARGE,
        //            var mapOptions = {
        //                    center: new google.maps.LatLng(lat, lng),
        //                    zoom: 13,
        //                    mapTypeId: google.maps.MapTypeId.ROADMAP,
        //                    panControl: true,
        //                    panControlOptions: {
        //                        position: google.maps.ControlPosition.TOP_RIGHT
        //                    },
        //                    zoomControl: true,
        //                    zoomControlOptions: {
        //                        style: google.maps.ZoomControlStyle.LARGE,
        //                        position: google.maps.ControlPosition.TOP_left
        //                    }
        //                },
        //                map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions),
        //                marker = new google.maps.Marker({
        //                    position: latlng,
        //                    map: map,
        //                    draggable: true,
        //                    icon: image
        //                });
        //            var input = document.getElementById('searchTextField');
        //            var autocomplete = new google.maps.places.Autocomplete(input, {
        //                types: ["geocode"]
        //            });
        //            autocomplete.bindTo('bounds', map);
        //            var infowindow = new google.maps.InfoWindow();
        //            google.maps.event.addListener(autocomplete, 'place_changed', function (event) {
        //                infowindow.close();
        //                var place = autocomplete.getPlace();
        //                if (place.geometry.viewport) {
        //                    map.fitBounds(place.geometry.viewport);
        //                } else {
        //                    map.setCenter(place.geometry.location);
        //                    map.setZoom(17);
        //                }
        //                moveMarker(place.name, place.geometry.location);
        //                $('#latitude').val(place.geometry.location.lat());
        //                $('#longitude').val(place.geometry.location.lng());
        //            });
        //            google.maps.event.addListener(map, 'click', function (event) {
        //                $('#latitude').val(event.latLng.lat());
        //                $('#longitude').val(event.latLng.lng());
        //                infowindow.close();
        //                var geocoder = new google.maps.Geocoder();
        //                geocoder.geocode({
        //                    "latLng": event.latLng
        //                }, function (results, status) {
        //                    console.log(results, status);
        //                    if (status == google.maps.GeocoderStatus.OK) {
        //                        console.log(results);
        //                        var lat = results[0].geometry.location.lat(),
        //                            lng = results[0].geometry.location.lng(),
        //                            placeName = results[0].address_components[0].long_name,
        //                            latlng = new google.maps.LatLng(lat, lng);
        //                        moveMarker(placeName, latlng);
        //                        $("#searchTextField").val(results[0].formatted_address);
        //                    }
        //                });
        //            });
        //            google.maps.event.addListener(marker, 'click', function (event) {
        //                $('#latitude').val(event.latLng.lat());
        //                $('#longitude').val(event.latLng.lng());
        //                infowindow.close();
        //            });
        //            google.maps.event.addListener(marker, 'dragend', function (event) {
        //                $('#latitude').val(event.latLng.lat());
        //                $('#longitude').val(event.latLng.lng());
        //                infowindow.close();
        //            });
        //            $('#latitude').bind('input', function () {
        //                createmap();
        //                infowindow.close();
        //            });
        //            $('#longitude').bind('input', function () {
        //                createmap();
        //                infowindow.close();
        //            });
        //            function moveMarker(placeName, latlng) {
        //                marker.setIcon(image);
        //                marker.setPosition(latlng);
        //                infowindow.setContent(placeName);
        //                //infowindow.open(map, marker);
        //            }
        //        }
        //    });
    </script>

</div>
